package sample;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import org.apache.lucene.analysis.cjk.CJKAnalyzer;
import org.hibernate.search.annotations.Analyzer;
import org.hibernate.search.annotations.DocumentId;
import org.hibernate.search.annotations.Field;
import org.hibernate.search.annotations.Index;
import org.hibernate.search.annotations.Indexed;
import org.hibernate.search.annotations.Store;

@Entity
@Table(name="EMPLOYEE")
@Indexed
public class Employee {

	private int id;
	private String name;
	private String tags;

	public Employee(){}
	
	@Id
	@Column(name="EMPLOYEE_ID")
	@GeneratedValue(strategy=GenerationType.AUTO)
	@DocumentId
	public int getId(){
		return id;
	}
	private void setId( int id ){
		this.id = id;
	}

	@Column(name="NAME",length=32)
	@Field(store=Store.NO,index=Index.TOKENIZED)
	@Analyzer(impl=CJKAnalyzer.class)
	public String getName(){
		return name;
	}
	public void setName( String name ){
		this.name = name;
	}

	@Column(name="TAGS",length=128)
	@Field(store=Store.NO,index=Index.TOKENIZED)
	@Analyzer(impl=CJKAnalyzer.class)
	public String getTags(){
		return tags;
	}
	public void setTags( String tags ){
		this.tags = tags;
	}
	
	public String toString(){
		return id + " : " + name + " : " + tags;
	}
}
