package util;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.hibernate.search.event.FullTextIndexEventListener;

public class HibernateUtil {

	private static final SessionFactory sessionFactory;
	private static FullTextIndexEventListener[] listeners = { new FullTextIndexEventListener() };
	
	static {
		try {
			//	 Create the SessionFactory from hibernate.cfg.xml
			Configuration cfg = new Configuration().configure();
			cfg.getEventListeners().setPostDeleteEventListeners( listeners );
			cfg.getEventListeners().setPostInsertEventListeners( listeners );
			cfg.getEventListeners().setPostUpdateEventListeners( listeners );
			sessionFactory = cfg.buildSessionFactory();
		} catch (Throwable ex) {
			//	 Make sure you log the exception, as it might be swallowed
			System.err.println("Initial SessionFactory creation failed." + ex);
			throw new ExceptionInInitializerError(ex);
		}
	}
	public static SessionFactory getSessionFactory() {
		return sessionFactory;
	}
}
